package com.ruoyi.system.mapper.other;

import com.ruoyi.system.domain.other.WsStoneCompany;
import com.ruoyi.system.domain.other.WsStoneCompanyExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WsStoneCompanyMapper {
    long countByExample(WsStoneCompanyExample example);

    int deleteByExample(WsStoneCompanyExample example);

    int deleteByPrimaryKey(String id);

    int insert(WsStoneCompany record);

    int insertSelective(WsStoneCompany record);

    List<WsStoneCompany> selectByExample(WsStoneCompanyExample example);

    WsStoneCompany selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") WsStoneCompany record, @Param("example") WsStoneCompanyExample example);

    int updateByExample(@Param("record") WsStoneCompany record, @Param("example") WsStoneCompanyExample example);

    int updateByPrimaryKeySelective(WsStoneCompany record);

    int updateByPrimaryKey(WsStoneCompany record);
}
